@extends('layout.app')

@section('left-menu')
    @parent
    <ul>
        <a href="/strazacy/add"><li>Dodaj<img src="img/left_menu_icon/add.png"></li></a>
        <li>Edytuj<img src="img/left_menu_icon/edit.png"></li>
        <li>Wyklucz<img src="img/left_menu_icon/delete.png"></li>
        <li>Zawieś<img src="img/left_menu_icon/suspended.png"></li>
        <li>Więcej<img src="img/left_menu_icon/more.png"></li>
    </ul>
@stop

<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>

    <script type="text/javascript">
        {{--$(document).ready(function () {--}}
        {{--    $('.editbtn').click(function () {--}}
        {{--        var currentTD = $(this).parents('tr').find('td');--}}
        {{--        if ($(this).html() == 'Edytuj') {--}}
        {{--            $.each(currentTD, function () {--}}
        {{--                getElementById("userName{{ $user->id }}".prop('contenteditable', true);--}}
        {{--            });--}}
        {{--        } else {--}}
        {{--            $.each(currentTD, function () {--}}
        {{--                $(this).prop('contenteditable', false)--}}
        {{--            });--}}
        {{--        }--}}

        {{--        $(this).html($(this).html() == 'Edytuj' ? 'Zapisz' : 'Edytuj')--}}

        {{--    });--}}

        {{--});--}}

        function editUser(id){

            document.getElementById("userName"+id).contentEditable = "true";
            document.getElementById("userSurname"+id).contentEditable = "true";
            document.getElementById("userPESEL"+id).contentEditable = "true";
            document.getElementById("userFunction"+id).contentEditable = "true";
            document.getElementById("userDegree"+id).contentEditable = "true";

            document.getElementById("userName"+id).style.backgroundColor = "#e6e6e6";
            document.getElementById("userSurname"+id).style.backgroundColor = "#e6e6e6";
            document.getElementById("userPESEL"+id).style.backgroundColor = "#e6e6e6";
            document.getElementById("userFunction"+id).style.backgroundColor = "#e6e6e6";
            document.getElementById("userDegree"+id).style.backgroundColor = "#e6e6e6";
        }
    </script>

    <script type="text/javascript">
        function test(id){
            document.getElementById("editForm"+id).style.display="block";
        }
    </script>
</head>




@section('center-area')
    @parent
    @if( auth()->check())
        @if( auth()->user()->fireStationID == NULL)
            Jednostka nie istnieje
        @else

            <table class='firefighterViewTable'>
                <tr class='table-header'>
                    <td>Imie</td>
                    <td>Nazwisko</td>
                    <td>PESEL</td>
                    <td>E-mail</td>
                    <td>Funkcja</td>
                    <td>Stopień</td>
                    <td>Status</td>
                </tr>

                @foreach($users as $user)
                    <tr>
                        <td id="userName{{ $user->id }}">{{ $user->name }}</td>
                        <td id="userSurname{{ $user->id }}">{{ $user->surname }}</td>
                        <td id="userPESEL{{ $user->id }}">{{ $user->PESEL }}</td>
                        <td id="userEmail{{ $user->id }}">{{ $user->email }}</td>
                        <td id="userFunction{{ $user->id }}">{{ $user->unitFunction }}</td>
                        <td id="userDegree{{ $user->id }}">{{$user->rank}}</td>
                        <td id="userStatus{{ $user->id }}">@if( $user->statusID == 0) Czynny @else Wyłączony @endif</td>
                        <td><a href="{{ URL::asset('strazacy/edit/'.$user->id) }}"><input type="button" onclick="" value="Edytuj"> </a></td>
                    </tr>
{{--                    <tr>--}}
{{--                        <form id="editForm{{$user->id}}" method="POST" action="/strazacy">--}}
{{--                            {{ csrf_field() }}--}}
{{--                            <div class="form-group">--}}
{{--                                <label for="name">Imię:</label>--}}
{{--                                <input type="text" class="form-control" id="name" name="name" value="{{ old('name') }} ">--}}
{{--                            </div>--}}
{{--                        </form>--}}
{{--                    </tr>--}}
                @endforeach
            </table>"

        @endif
     @else
        Brak autoryzacji
     @endif


@stop




