@extends('layout.app')


@section('center-area')
    @parent
    <h2>Register</h2>
    <form method="POST" action="/register">
        {{ csrf_field() }}
        <div class="form-group">
            <label for="name">Imię:</label>
            <input type="text" class="form-control" id="name" name="name" value="{{ old('name') }} ">
        </div>

        <div class="form-group">
            <label for="name">Nazwisko:</label>
            <input type="text" class="form-control" id="surname" name="surname" value="{{ old('surname') }}">
        </div>



        <div class="form-group">

            <label for="name">Pesel:</label>
            <input type="text" class="form-control" id="PESEL" name="PESEL" value="{{ old('PESEL') }}">
        </div>

        <div class="form-group">
            <label for="name">Numer telefonu:</label>
            <input type="text" class="form-control" id="phoneNumber" name="phoneNumber" value="{{ old('phoneNumber') }}">
        </div>

        <div class="form-group">
            <label for="email">Adres e-mail:</label>
            <input type="email" class="form-control" id="email" name="email" value="{{ old('email') }}">
        </div>

        <div class="form-group">
            <label for="password">Hasło:</label>
            <input type="password" class="form-control" id="password" name="password">
        </div>

        <div class="form-group">
            <label for="password_confirmation">Powtórz hasło:</label>
            <input type="password" class="form-control" id="password_confirmation" name="password_confirmation">
        </div>

        <div class="form-group">
            <button style="cursor:pointer" type="submit" class="btn btn-primary">Submit</button>
        </div>
        @include('inc.formerrors')
    </form>

@stop
