@extends('layout.app')

@section('left-menu')
    @parent
    <ul>

        <li>Edytuj<img src="img/left_menu_icon/edit.png"></li>

    </ul>
@stop

@section('center-area')
    @parent

    @if( auth()->check() )
        @if( auth()->user()->fireStationID == NULL)
            @include('inc.addFireStation')
        @else
            <div>
                <p><b>Nazwa:</b> {{ $fireStation-> name }}</p>
                <p><b>Województwo:</b> {{ $fireStation-> voivodeship }}</p>
                <p><b>Powiat:</b> {{ $fireStation-> county }}</p>
                <p><b>Gmina i numer ewidencyjny:</b> {{ $fireStation-> community }} {{ $fireStation-> number }}</p>
                <p><b>Kod pocztowy, Miejscowość:</b> {{ $fireStation-> zipCode }} {{ $fireStation-> name }}</p>
                <p><b>Ulica i numer:</b> {{ $fireStation-> address }}</p>
                <p><b>Szerokość i długość geograficzna:</b> {{ $fireStation-> latitude }} | {{ $fireStation-> longitude }}</p>
                <p><b>KRS:</b> {{ $fireStation-> KRS }}</p>
                <p><b>NIP:</b> {{ $fireStation-> NIP }}    </p>
                <p><b>Telefon:</b> {{ $fireStation-> phoneNumber }}</p>
                <p><b>E-mail:</b> {{ $fireStation-> email }}</p>
                <hr>
                <p><b>Liczba członków:</b> 40</p>
            </div>
            <div>
        @endif
    @else
        <div>
            <p><b>Nazwa:</b> Ochotnicza Straż Pożarna w Łuszczewie</p>
            <p><b>Województwo:</b> Wielkopolskie</p>
            <p><b>Powiat:</b> Koniński</p>
            <p><b>Gmina i numer ewidencyjny:</b> Skulsk 3010092</p>
            <p><b>Kod pocztowy, Miejscowość:</b> 62-560 Skulsk</p>
            <p><b>Ulica i numer:</b> Łuszczewo 81</p>
            <p><b>Szerokość i długość geograficzna:</b> 523113.08 | 182155.88</p>
            <p><b>KRS:</b> 0000003716</p>
            <p><b>NIP:</b> 665 524 497 69    </p>
            <p><b>Telefon:</b> ??? - ??? - ???</p>
            <p><b>E-mail:</b> twojanazwa@domena.com</p>
            <hr>
            <p><b>Liczba członków:</b> 40</p>
        </div>
        <div>
    @endif
    </div>
@stop
